ConnectionPoolWithConcurrentValidation (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.datasource.pool

## Class ConnectionPoolWithConcurrentValidation

- java.lang.Object
- - com.atomikos.datasource.pool.ConnectionPool
  - - com.atomikos.datasource.pool.ConnectionPoolWithConcurrentValidation

- All Implemented Interfaces:
    XPooledConnectionEventListener

      public class ConnectionPoolWithConcurrentValidation
      extends ConnectionPool

- - ### Field Summary

    - ### Fields inherited from class com.atomikos.datasource.pool.ConnectionPool

      `connections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPoolWithConcurrentValidation(ConnectionFactory connectionFactory, ConnectionPoolProperties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Reapable` | `recycleConnectionIfPossible()`
    `protected Reapable` | `retrieveFirstAvailableConnection()`

    - ### Methods inherited from class com.atomikos.datasource.pool.ConnectionPool

      `assertNotDestroyed, availableSize, borrowConnection, destroy, destroyPooledConnection, findExistingOpenConnectionForCallingThread, findOrWaitForAnAvailableConnection, logCurrentPoolSize, onXPooledConnectionTerminated, reapPool, refresh, toString, totalSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPoolWithConcurrentValidation

          public ConnectionPoolWithConcurrentValidation(ConnectionFactory connectionFactory,
                                                ConnectionPoolProperties properties)
                                                 throws ConnectionPoolException

      Throws:
        `ConnectionPoolException`

  - ### Method Detail

    - #### recycleConnectionIfPossible

          protected Reapable recycleConnectionIfPossible()
                                                  throws java.lang.Exception

      Overrides:
        `recycleConnectionIfPossible` in class `ConnectionPool`
      Throws:
        `java.lang.Exception`

    - #### retrieveFirstAvailableConnection

          protected Reapable retrieveFirstAvailableConnection()

      Overrides:
        `retrieveFirstAvailableConnection` in class `ConnectionPool`

Copyright © 2018. All Rights Reserved.